Skip to main content
DELETE
/
api
/
v1
/
llm
/
conversations
/
{conversation_id}
Typescript (SDK)
import { SDK } from "@meetkai/mka1";

const sdk = new SDK({
  bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await sdk.llm.conversations.delete({
    conversationId: "conv_abc123",
  });

  console.log(result);
}

run();
{
  "id": "conv_abc123",
  "object": "conversation.deleted",
  "deleted": true
}

Authorizations

Authorization
string
header
required

Authenticate with your MKA1 API key at the API gateway: Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, also send X-On-Behalf-Of to identify the end user making the request.

Headers

X-On-Behalf-Of
string

Optional external user identifier for multi-user server-side integrations. Use this when acting on behalf of one of your end users.

Path Parameters

conversation_id
string
required

The ID of the conversation

Response

200 - application/json

OK

id
string
required

The ID of the deleted conversation

object
any
required
deleted
boolean
required

Always true